---
title: PaymentDetailsUpdate
slug: Web/API/PaymentDetailsUpdate
tags:
  - API
  - Dictionary
  - Interface
  - Payment Request
  - Payment Request API
  - PaymentDetailsUpdate
  - Reference
  - details
  - payment
---
<div>{{securecontext_header}}{{APIRef("Payment Request API")}}{{draft}}</div>

<p><span class="seoSummary">The <code><strong>PaymentDetailsUpdate</strong></code> dictionary is used to provide updated information to the payment user interface after it has been instantiated.</span> This can be done either by calling the {{domxref("PaymentRequestUpdateEvent.updateWith()")}} method or by using the {{domxref("PaymentRequest.show()")}} method's <code>detailsPromise</code> parameter to provide a {{jsxref("Promise")}} that returns a <code>PaymentDetailsUpdate</code> that updates the payment information before the user interface is even enabled for the first time.</p>

<h2 id="Properties">Properties</h2>

<p><em>The <code>PaymentDetailsUpdate</code> dictionary is based on the {{domxref("PaymentDetailsBase")}} dictionary, and inherits its properties, <strong>which are included in the list below</strong>.</em></p>

<div id="propertylist">
<dl>
 <dt>{{domxref("PaymentDetailsBase.displayItems", "displayItems")}} {{optional_inline}}</dt>
 <dd>An array of {{domxref("PaymentItem")}} objects, each describing one line item for the payment request. These represent the line items on a receipt or invoice.</dd>
 <dt>{{domxref("PaymentDetailsUpdate.error", "error")}} {{optional_inline}}</dt>
 <dd>A {{domxref("DOMString")}} specifying an error message to present to the user<em>.</em> When calling {{domxref("PaymentDetailsUpdate.updateWith", "updateWith()")}}, including <code>error</code> in the updated data causes the {{Glossary("user agent")}} to display the text as a general error message. For address field specific errors, use <code>shippingAddressErrors</code>.</dd>
 <dt>{{domxref("PaymentDetailsBase.modifiers", "modifiers")}} {{optional_inline}}</dt>
 <dd>An array of {{domxref("PaymentDetailsModifier")}} objects, each describing a modifier for particular payment method identifiers. For example, you can use one to adjust the total payment amount based on the selected payment method ("5% cash discount!").</dd>
 <dt>{{domxref("PaymentDetailsUpdate.shippingAddressErrors", "shippingAddressErrors")}} {{optional_inline}}</dt>
 <dd>An {{domxref("AddressErrors")}} object which includes an error message for each property of the shipping address that could not be validated.</dd>
 <dt>{{domxref("PaymentDetailsBase.shippingOptions", "shippingOptions")}} {{optional_inline}}</dt>
 <dd>An array of {{domxref("PaymentShippingOption")}} objects, each describing one available shipping option from which the user may choose.</dd>
 <dt>{{domxref("PaymentDetailsUpdate.total", "total")}} {{optional_inline}}</dt>
 <dd>A {{domxref("PaymentItem")}} providing an updated total for the payment. Make sure this equals the sum of all of the items in <code>displayItems</code>. <em>This is not calculated automatically</em>. You must update this value yourself anytime the total amount due changes. This lets you have flexibility for how to handle things like tax, discounts, and other adjustments to the total price charged.</dd>
</dl>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#dom-paymentdetailsupdate','PaymentDetailsUpdate')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PaymentDetailsUpdate")}}</p>
</div>

